MPT_GET_MSG_FRAME(9)

NAME
mpt_get_msg_frame - Obtain an MPT request frame from the pool

SYNOPSIS

MPT_FRAME_HDR* mpt_get_msg_frame(u8 cb_idx, MPT_ADAPTER * ioc);

ARGUMENTS

cb_idx
    Handle of registered MPT protocol driver

ioc
    Pointer to MPT adapter structure

DESCRIPTION

Obtain an MPT request frame from the pool (of 1024) that are allocated per MPT adapter.

Returns pointer to a MPT request frame or NULL if none are available or IOC is not active.

COPYRIGHT